Subject: RE: Draft MMUSIC Charter

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Mon, 17 Dec 2001 15:19:33 -0000

For the dates, can you clarify what stage in the process that represents? I
assume submission for IESG last call.

As offer/answer is a normative reference from the bis draft for SIP, and
that is intended to go into IESG last call in mid January, then we possibly
need to pull the dates in a couple of weeks.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked]

> ----------
> From: 	Colin Perkins[SMTP:[email-masked]]
> Sent: 	14 December 2001 4:12
> To: 	[email-masked]
> Cc: 	[email-masked]
> Subject: 	Draft MMUSIC Charter
> 
> Folks,
> 
> I enclose our draft for a new MMUSIC charter, comments would be
> appreciated. 
> 
> Note that the new mailing list is now ready for subscription, and that we
> will be discontinuing use of the [email-masked] list shortly. You should
> subscribe to the new list - we will not be automatically transferring
> subscriptions.
> 
> Colin and Joerg
> 
> 
> 
> 
> 
> Multiparty MUltimedia SessIon Control (MMUSIC)
> ==============================================
> 
> WG chairs:
> 
> Joerg Ott, ipDialog, Inc. <[email-masked]>
> Colin Perkins, USC/ISI    <[email-masked]>
> 
> Mailing Lists: 
> 
> General Discussion:  [email-masked]
> To Subscribe:	     [email-masked]
> Info & Archive:	     http://www.ietf.org/mailman/listinfo/mmusic
> Additional web page: http://www.dmn.tzi.de/ietf/mmusic/
> 
> Description of Working Group: 
> 
> The Multiparty MUltimedia SessIon Control (MMUSIC) Working Group (WG)
> was chartered to develop protocols to support Internet
> teleconferencing sessions.  These protocols are now reasonably mature,
> and many of them have received widespread deployment.  MMUSIC is now
> focussing on the revisions of these in the light of implementation
> experience and additional demands that have arisen from other WGs
> (such as AVT, SIP, SIPPING, and MEGACO).
> 
> All types of multimedia communications are based upon a common
> platform for expressing media streams (session) descriptions. This is
> the session description protocol, SDP.  The many uses of SDP have led
> to (requests for) numerous extensions, and have led to recognition of
> several flaws in the protocol design for key applications of SDP.
> MMUSIC will revise the SDP specification suitable for publication as a
> draft standard to address minor revision and further support the
> current broad deployment.  Work on an SDP MIB will be considered.
> 
> A few extensions to SDP will be pursued to remedy the most urgent of
> SDP's shortcomings: However, these are limited to, adding means for
> identifying and semantically grouping media sessions, providing
> limited expressiveness for simultaneous capabilities, offering support
> to work with NATs and firewalls, and documenting the use of SDP in SIP
> as a separate document.  Apart from these, only extensions within the
> existing framework of SDP will be done -- such as registering new
> codecs and defining parameters for them as well as extending SDP to
> include new address families.
> 
> Instead, to address the more fundamental issues with SDP, a next
> generation of SDP -- referred to as SDPng -- will be developed as a
> standards track document.  A requirements document will be devised
> that gathers the individual requirements from the areas in which SDP
> is currently deployed.  Work on an SDPng MIB will be considered.
> 
> MMUSIC will continue to maintain and revise the specification of the
> Real Time Streaming Protocol (RTSP) based on implementation
> experience.  The RTSP spec will be revised to include various fixes
> and clarifications.  Depending on the changes, the revised RTSP spec
> will be re-issued as Proposed or go to Draft Standard.  A MIB will
> also be defined.
> 
> The WG's work items will be pursued in close coordination with other
> IETF WGs related to multimedia conferencing and IP telephony (AVT,
> SIP, SIPPING, IPTEL, MEGACO).  Where appropriate, new separate working
> groups will be split off (as has happened with the SIP WG).
> 
> The Working Group is also charged with addressing security issues
> related to the protocols it develops.
> 
> 
> Goals and Milestones:
> 
> DONE   Submit ATM Extensions to SDP for Proposed Standard
> 
> DONE   Submit Mbus transport for Informational
> 
> DONE   Submit ATM Extensions to SDP for Proposed Standard
> 
> Dec 01 Submit SDP simultaneous capabilities for Proposed Standard
> 
> Dec 01 Submit SDP Flow Identification for Proposed Standard
> 
> Jan 02 Submit IPv6 Extensions to SDP for Proposed Standard
> 
> Feb 02 Submit revised SDP spec for Proposed (or Draft) Standard
> 
> Feb 02 Submit SIP's offer/answer use of SDP for Proposed Standard
> 
> Mar 02 Submit SDP4NAT for Proposed Standard (Informational?) 
> 
> Mar 02 Submit SDP key management for Proposed Standard
> 
> Apr 02 Submit SDPng base spec for Proposed Standard
> 
> Apr 02 Submit SDPng audio profile for Proposed Standard
> 
> May 02 Submit revised RTSP spec for Proposed or Draft Standard (as
> appropriate)
> 
> Jun 02 Submit SDPng video profile spec for Proposed Standard
> 
> Jul 02 Submit RTSP MIB for Proposed Standard
>

---

From: Colin Perkins <[email-masked]>
Date: Mon, 17 Dec 2001 12:50:59 -0500

>assume submission for IESG last call.

Yes.

>need to pull the dates in a couple of weeks.

If the draft is ready before then, we can submit it sooner. Although to do
so, we'll need to have something ready for working group last call this 
week...

Colin